Package Gnumed :: Package timelinelib :: Package xml :: Module parser :: Class Tag |
[frames] | no frames]

# Class Tag

source code

    object --+
             |
            Tag

Represents a tag in an xml document.

Used to define structure of an xml document and define parser functions for individual parts of an xml document.

Parser functions are called when the end tag has been read.

See SaxHandler class defined below to see how this class is used.

Instance Methods
__init__(self, name, occurrence_rule, parse_fn, child_tags=`[``]`) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
add_child_tags(self, tags) | source code
add_child_tag(self, tag) | source code
read_enough_times(self) | source code
can_read_more(self) | source code
handle_start_tag(self, name, tmp_dict) | source code
handle_end_tag(self, name, text, tmp_dict) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, name, occurrence_rule, parse_fn, child_tags=`[``]`) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)